Loading...
Searching...
No Matches
EST_FeatureSample Class Reference

`#include <include/EST_FeatureData.h>`

Inheritance diagram for EST_FeatureSample:
[legend]
Collaboration diagram for EST_FeatureSample:
[legend]

## Public Member Functions

| EST_FeatureSample (const EST_FeatureSample &a)
Public Member Functions inherited from EST_TVector< EST_Val >
INLINE unsigned int | vcell_pos (unsigned int c, unsigned int cs) const
| The memory access rule, in one place for easy reference.
INLINE unsigned int | vcell_pos (unsigned int c) const
INLINE unsigned int | vcell_pos_1 (unsigned int c) const
INLINE const EST_Val & | fast_a_v (int c) const
| quick method for returning (x[n])
INLINE EST_Val & | fast_a_v (int c)
INLINE const EST_Val & | fast_a_1 (int c) const
INLINE EST_Val & | fast_a_1 (int c)
void | set_values (const EST_Val *data, int step, int start_c, int num_c)
| Get and set values from array.
void | get_values (EST_Val *data, int step, int start_c, int num_c) const
void | copy (const EST_TVector< EST_Val > &a)
| private copy function, called from all other copying functions.
void | copy_data (const EST_TVector< EST_Val > &a)
| just copy data, no resizing, no size check.
void | just_resize (int new_cols, EST_Val **old_vals)
| resize the memory and reset the bounds, but don't set values.
void | default_vals ()
| sets data and length to default values (0 in both cases).
| EST_TVector ()
| default constructor
| EST_TVector (const EST_TVector< EST_Val > &v)
| copy constructor
| EST_TVector (int n)
| "size" constructor - make vector of size n.
| EST_TVector (int, EST_Val *memory, int offset=0, int free_when_destroyed=0)
| construct from memory supplied by caller
| ~EST_TVector ()
| destructor.
void | resize (int n, int set=1)
const EST_Val * | memory () const
EST_Val * | memory ()
INLINE int | num_columns () const
| number of items in vector.
INLINE int | length () const
| number of items in vector.
INLINE int | n () const
| number of items in vector.
INLINE const EST_Val & | a_no_check (int n) const
| read-only const access operator: without bounds checking
INLINE EST_Val & | a_no_check (int n)
| read/write non-const access operator: without bounds checking
INLINE const EST_Val & | a_no_check_1 (int n) const
| read-only const access operator: without bounds checking
INLINE EST_Val & | a_no_check_1 (int n)
| read/write non-const access operator: without bounds checking
const EST_Val & | a_check (int n) const
| read-only const access operator: with bounds checking
EST_Val & | a_check (int n)
| read/write non-const access operator: with bounds checking
const EST_Val & | a (int n) const
EST_Val & | a (int n)
const EST_Val & | operator() (int n) const
| read-only const access operator: return reference to nth member
EST_Val & | operator[] (int n)
| read/write non const access operator: return reference to nth member
void | set_memory (EST_Val *buffer, int offset, int columns, int free_when_destroyed=0)
EST_TVector & | operator= (const EST_TVector &s)
| assignment operator
void | fill (const EST_Val &v)
| Fill entire array will value <parameter>v</parameter>.
void | empty ()
| Fill vector with default value.
int | operator== (const EST_TVector &v) const
| is true if vectors are equal size and all elements are equal.
int | operator!= (const EST_TVector &v) const
| is true if vectors are not equal size or a single elements isn't equal.
void | copy_section (EST_Val *dest, int offset=0, int num=-1) const
| Copy data in and out. Subclassed by SimpleVector for speed.
void | set_section (const EST_Val *src, int offset=0, int num=-1)
void | sub_vector (EST_TVector< EST_Val > &sv, int start_c=0, int len=-1)
| Create a sub vector.
void | integrity () const

## Additional Inherited Members

Public Attributes inherited from EST_TVector< EST_Val >
EST_Val * | p_memory
unsigned int | p_num_columns
| Visible shape.
unsigned int | p_offset
| How to access the memory.
unsigned int | p_column_step
bool | p_sub_matrix
Static Public Attributes inherited from EST_TVector< EST_Val >
static const EST_Val * | def_val
| default value, used for filling matrix after resizing
static EST_Val * | error_return

## Detailed Description

A class for containing arbitrary multi-dimensional feature data.

A number of fields are defined in the EST_FeatureData class, each of which represents a measurable quantity, such as height, age or gender. Any number of fields can be defined and each field can take a float, integer or string value. The class holds multiple instances of field values, representing samples taken from a population.

Several statistical training, testing and analysis programs use EST_FeatureData as input and output. Member functions exist for comparing fields, extracting given named or numbered fields, can converting appropriate fields to a EST_FMatrix.

Definition at line 70 of file EST_FeatureData.h.

The documentation for this class was generated from the following file:

- include/EST_FeatureData.h